/****************************************/
/*   HEADER file for DBASE file layouts */
/*   CLIPPER PROGRAMMING GUIDE          */
/* -------------------------------------------- DEBUG */
/* #define DB_DEBUG 1 */
#ifdef DB_DEBUG
#define  D(x) x
#define ND(x)
#else
#define ND(x) x
#define  D(x)
#endif

/* ----------------------------- DBF HEADER    pg 513 */
/*   ID data                    offset  */
typedef struct
{
        char dbf_id;                    /* 00 */
        char last_update[3];            /* 01 */
        long last_rec; /* unsigned? */  /* 04 */
        unsigned data_offset;           /* 08 */
        unsigned rec_size;              /* 0A */
        char filler[20];                /* 0C */
} DBF_HEAD;

/* ----------------------- FIELD RECORD HEADER  pg 517 */
typedef struct
{
        char field_name[11];           /* 00 */
        char field_type;               /* 0B */
        char dummy[4];                 /* 0C */
        union
        {
                unsigned char_len;     /* 10 */
                struct
                {
                   char len;           /* 10 */
                   char dec;           /* 11 */
                }num_size;
        } len_info;
        char filler[14];               /* 12 */
} FIELD_REC;

